Subject: Re: [Tls-reg-review] [IANA #1160167] Re: Request to register ALPN ID for DNS-over-TLS (tls-extensiontype-values)
From: "Salz, Rich" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 15 Jan 2020 19:43:40 +0000
List-Id: TLS REVIEW <tls-reg-review.ietf.org>

confirmed

On 1/15/20, 2:29 PM, "Sabrina Tanamal via RT" <[email-masked]> wrote:

    Dear Yoav, Rich, and Nick,
    
    Can one of you confirm that we can list RFC 7858 in the "Reference" field for DNS-over-TLS?
    
    Thanks,
    Sabrina
    
    On Wed Jan 15 19:14:33 2020, [email-masked] wrote:
    > Hi Sabrina,
    > 
    > I think you can just link to RFC 7858
    > (https://tools.ietf.org/html/rfc7858
    > <https://tools.ietf.org/html/rfc7858>).
    > 
    > Thanks,
    > 
    > Jon
    > 
    > > On Jan 15, 2020, at 1:59 PM, Sabrina Tanamal via RT <iana-prot-
    > > [email-masked]> wrote:
    > >
    > > Hi Jon,
    > >
    > > How should we fill in the "Reference" field for DNS-over-TLS?
    > >
    > > Thanks,
    > >
    > > Sabrina Tanamal
    > > Senior IANA Services Specialist
    > >
    > > On Tue Jan 14 18:36:49 2020, [email-masked]
    > > <mailto:[email-masked]> wrote:
    > >> Sorry, I missed that IANA was not on this thread.
    > >>
    > >> IANA: since I and Nick approve, we can proceed with this.
    > >>
    > >> Yoav
    > >>
    > >>> On 14 Jan 2020, at 20:10, Reed, Jon <[email-masked]> wrote:
    > >>>
    > >>> Hi folks,
    > >>>
    > >>> Just following up on this, since I think the 3 week review period
    > >>> has
    > >>> expired.   Can we move forward with publishing this registration,
    > >>> or
    > >>> is there some periodic publication cycle?
    > >>>
    > >>> Thanks,
    > >>>
    > >>> Jon
    > >>>
    > >>>> On Dec 16, 2019, at 2:26 PM, Nick Sullivan <[email-masked]
    > >>>> <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
    > >>>>
    > >>>> Fine with me.
    > >>>>
    > >>>> On Mon, Dec 16, 2019 at 9:16 AM Yoav Nir <[email-masked]
    > >>>> <mailto:[email-masked]>
    > >>>> <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
    > >>>> I think it’s fine.  Nick?
    > >>>>
    > >>>>> On 16 Dec 2019, at 17:52, Salz, Rich <[email-masked]
    > >>>>> <mailto:[email-masked]>
    > >>>>> <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
    > >>>>>
    > >>>>> Yoav and Nick,
    > >>>>>
    > >>>>> Could you guys approve this?  Since it came from Akamai, I want
    > >>>>> to
    > >>>>> abstain.
    > >>>>>
    > >>>>> From: "Reed, Jon" <[email-masked] <mailto:[email-masked]>
    > >>>>> <mailto:[email-masked] <mailto:[email-masked]>>>
    > >>>>> Date: Monday, December 16, 2019 at 7:56 AM
    > >>>>> To: "[email-masked] <mailto:[email-masked]>
    > >>>>> <mailto:[email-masked] <mailto:tls-reg-
    > >>>>> [email-masked]>>"
    > >>>>> <[email-masked] <mailto:[email-masked]>
    > >>>>> <mailto:[email-masked] <mailto:tls-reg-
    > >>>>> [email-masked]>>>
    > >>>>> Subject: [Tls-reg-review] Request to register ALPN ID for DNS-
    > >>>>> over-
    > >>>>> TLS
    > >>>>>
    > >>>>> Hi,
    > >>>>>
    > >>>>> I'd like to request registration of an ALPN ID for DNS-over-TLS
    > >>>>> (RFC 7858).   The ID will be used, by prior out-of-band mutual
    > >>>>> agreement, in cases where DNS-over-TLS is used over a non-
    > >>>>> standard-
    > >>>>> part (e.g. 443).    The identification sequence will be: 0x64
    > >>>>> 0x6F
    > >>>>> 0x74 ("dot").
    > >>>>>
    > >>>>> Rich Salz suggested I survey the dprive working group before
    > >>>>> doing
    > >>>>> this, and I have done so[1].  There appears to be support for
    > >>>>> this,
    > >>>>> including from one of the authors of RFC 7858, provided it's used
    > >>>>> by prior agreement on non-standard ports, and not required as
    > >>>>> part
    > >>>>> of normal use on port 853.
    > >>>>>
    > >>>>> Please let me know if you have more questions or need more
    > >>>>> information.
    > >>>>>
    > >>>>> Thanks,
    > >>>>>
    > >>>>> Jon
    > >>>>>
    > >>>>> [1] https://mailarchive.ietf.org/arch/msg/dns-
    > >>>>> <https://mailarchive.ietf.org/arch/msg/dns->
    > >>>>> privacy/iZ2rDIhFB2ZWsGC3PcdBVLGa8Do
    > >>>>> <https://urldefense.proofpoint.com/v2/url?u=https-
    > >>>>> <https://urldefense.proofpoint.com/v2/url?u=https->
    > >>>>> 3A__mailarchive.ietf.org_arch_msg_dns-
    > >>>>> 2Dprivacy_iZ2rDIhFB2ZWsGC3PcdBVLGa8Do&d=DwMFaQ&c=96ZbZZcaMF4w0F4jpN6LZg&r=_xTHEvws93UZ7jl9jhO7Pg&m=i070mdRi8IojDr3bkm87Qo7LqaTJVtz-
    > >>>>> 8A6t_AJuNj0&s=xt3xOwMGNirCRCDokBxZVoL0ybgcuYq6giiuUtVOp7w&e=>
    > >>>>>
    > >>>>> --
    > >>>>> Jon Reed
    > >>>>> [email-masked] <mailto:[email-masked]>
    > >>>>> <mailto:[email-masked] <mailto:[email-masked]>>
    > >>>>> Nameservers Service Performance
    > >>>>> Akamai Technologies